org.apache.poi.sl.draw.binding

## Enum STRectAlignment

- java.lang.Object
- - java.lang.Enum<STRectAlignment>
  - - org.apache.poi.sl.draw.binding.STRectAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STRectAlignment>

      public enum STRectAlignment
      extends java.lang.Enum<STRectAlignment>

  Java class for ST_RectAlignment.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_RectAlignment">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="tl"/>
           <enumeration value="t"/>
           <enumeration value="tr"/>
           <enumeration value="l"/>
           <enumeration value="ctr"/>
           <enumeration value="r"/>
           <enumeration value="bl"/>
           <enumeration value="b"/>
           <enumeration value="br"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `B` Rectangle Alignment Enum ( Bottom )
    `BL` Rectangle Alignment Enum ( Bottom Left )
    `BR` Rectangle Alignment Enum ( Bottom Right )
    `CTR` Rectangle Alignment Enum ( Center )
    `L` Rectangle Alignment Enum ( Left )
    `R` Rectangle Alignment Enum ( Right )
    `T` Rectangle Alignment Enum ( Top )
    `TL` Rectangle Alignment Enum ( Top Left )
    `TR` Rectangle Alignment Enum ( Top Right )

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STRectAlignment` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STRectAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STRectAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TL

          public static final STRectAlignment TL

      Rectangle Alignment Enum ( Top Left )

    - #### T

          public static final STRectAlignment T

      Rectangle Alignment Enum ( Top )

    - #### TR

          public static final STRectAlignment TR

      Rectangle Alignment Enum ( Top Right )

    - #### L

          public static final STRectAlignment L

      Rectangle Alignment Enum ( Left )

    - #### CTR

          public static final STRectAlignment CTR

      Rectangle Alignment Enum ( Center )

    - #### R

          public static final STRectAlignment R

      Rectangle Alignment Enum ( Right )

    - #### BL

          public static final STRectAlignment BL

      Rectangle Alignment Enum ( Bottom Left )

    - #### B

          public static final STRectAlignment B

      Rectangle Alignment Enum ( Bottom )

    - #### BR

          public static final STRectAlignment BR

      Rectangle Alignment Enum ( Bottom Right )

  - ### Method Detail

    - #### values

          public static STRectAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STRectAlignment c : STRectAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STRectAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STRectAlignment fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.